Jump to content

Archived

This topic is now archived and is closed to further replies.

Morneithan

Me revoilà !

Recommended Posts

Il faudrait que tu changes de mirroir si il marche mal. Personnellement j'ai pris un mirroir allemand sur lequel il m'arrive de tourner à 1Mo/s :D (free powaa !) (idem pour les rsync)

Pour les locales en_HK c'est anglais Honk-Kong et en_PH c'est anglais Philippines :D

Share this post


Link to post
Share on other sites

Ok, j'ai bien fais de les enlever :D !

Bon, le stage 1 est terminé, apparement tout c'est bien passé au vu de ce qu'il y a marqué dans les dernières ligne (ya pas d'erreur visible...) . (malife.com j'etait pas là: dentiste powaaa :D ! /malife.com )

je changerais les miroirs plsu tard, je préfère continuer à compiler. allé, stage 2 paré !

Share this post


Link to post
Share on other sites

Encore un doublon car je me pose une question toute bête:

Dans la doc Gentoo il disent que lorsque la compilation du stage 2 est finie, il faut passer à la configuration du noyau.

Hors cela signifie que je dois passer l'etape "Mettre à jour baselayout" ?

J'aimerais donc savoir si je met baselayout à jour quand même ou je dois bien sauter cette étape , car bon ca serait con de faire un truc en plus ou justement d'oublier un truc :mdr: .

Merci merci et excusez ma stupidité :mdr: ...

Share this post


Link to post
Share on other sites

tu le fais :mdr:

c'est une étape temporaire car beaucoup de fichiers de conf ont changés depuis la 2005.0

Share this post


Link to post
Share on other sites

Dites, ma compile étant terminée, j'ai voulu mettre à jour baselayout en faisant comme expliqué dans al doc. sauf que après avoir tapé la commande, il me sort quelques lignes , puis à la fin ya "No outdatage packages were found on your system" .je comprend pas comment elle pourrais être à jour :yes: ???

J'aimerais donc savoir si je dois mettre des truc speciaux dans CONFIG_PROTECT (vu qu'il rentre en jeu pour "emerge baselayout" ) , ou alors j'ai loupé un truc ?

j'attend votre réponse, comme ca je m'occupe de ça et je continuerais demain :pleure: . (ai la flemme de configurer le noyau ce soir ^^ )

Share this post


Link to post
Share on other sites

Après tous lancement d'emerge, portage vérifie les versions des packet installé.

En l'occurence tout ce que tu as installé est à jour à priori car tous tes paquets étaient téléchargés sur le net (donc les dernière version disponibles).

+1 pour le noyau: fais ça demain à tête reposée (c'est pire que les flag de USE :yes: AHMA )

Share this post


Link to post
Share on other sites

je me souviens plus (pourtant, j'en ai installé une samedi :yes: )...

je supose que c'est un script qui utilise etc-update (peut-êtres pas du tout ça...), donc que c'est normal qu'il mette ça à la fin :zarb:

de toute façon je pense que s'il te met pas d'erreur ou autres, ça doit êtres bon, mais attends quand même un autre avis si possible...

edit : ah oui ça s'installe avec emmerge, donc d'est pas du tout ça, et c'est normal (désolé d'avoir encore sorti une connerie :p )

bon, l'autre avis a été donné :pleure:

Share this post


Link to post
Share on other sites

C'est pas compliqué à savoir si tu as des fichiers comme net, hostname ou autre dans /etc/conf.d/ c'est que ton baselayout est à jour. Sinon ces fichiers sont dans /etc/ (enfin je crois)

Mais je vois pas pourquoi tu seras pas à jour.

Bon courage pour le noyau, un conseil renseigne toi bien sur ta machine (lspci), ça devrait bien t'aider :yes:

Share this post


Link to post
Share on other sites

Je viens de remarquer qu'il me dis qu'il n'a pas pu créer /proc/.keep (j'avais pas fais gaffe à l'a chtite étoile jaune :-D ).

Après il me met un message qui à l'air normal apparement:

"May be sure to update all pending ' ._cfg*' file in /etc ,

else things might breaks at your next reboot! You can use 'etc-update' to accplish this"

Donc apparement faut que je fasse etc_update, je ne l'avais pas fais avant...

Sinon il me sort autre chose encore, ca ressembe pas non plus à un message d'erreur mais je le met quand même pour m'apaiser l'esprit ;) :

"Warning ! you have older net.eth* file in //etc/init.d

They need to be converted to symlyncks to net.lo. If you haven't make personnal changes to those files, you can uptdate with the following command:

#lacommande."

Bon après ya 3-4 ligne avant d'avoir "No outdatage packages were found on your system" précédemment cité...

Donc bon, je vois pas trop quoi faire...

Merci au fait pour vos réponses et pour le soutient concernant le noyau :-D :-D !

Sur ce je vais au dodo. j'aurais pas fait ce que je comptait faire mais je préfère attendre de voir ce que vous pensez des messages que j'ai marqués avant de continuer.

En tout cas, même si je galère moult, chui bien content d'installer Gentoo ! J'apprend énormément, en grande partie grâce à vos explications :-D !

Share this post


Link to post
Share on other sites

Bon, comme moi aussi je suis entrain d'installer gentoo et que je débute dans gentoo ben ej vient squatter ce topic :francais:

Pour les USE flags si ont met le flags X par exemple mais qu X n'est pas installé, portage installera automatiquement Xorg si j'installe links par exemple?

Share this post


Link to post
Share on other sites
Je viens de remarquer qu'il me dis qu'il n'a pas pu créer /proc/.keep (j'avais pas fais gaffe à l'a chtite étoile jaune ;) ).

Il dit aussi juste avant que ce n'est pas grave...

"Some of these might fail if they're read-only mounted filesystems, for example /dev or /proc. That's okay!"

Après il me met un message qui à l'air normal apparement:

"May be sure to update all pending ' ._cfg*' file in /etc ,

else things might breaks at your next reboot! You can use 'etc-update' to accplish this"

Donc apparement faut que je fasse etc_update, je ne l'avais pas fais avant...

Ce message est affiché à chaque mise à jour de baselayout (que tu sois à jour ou non)

et pourquoi tu parles de "etc_update" alors qu'il parle de "etc-update" ?

Sinon il me sort autre chose encore, ca ressembe pas non plus à un message d'erreur mais je le met quand même pour m'apaiser l'esprit :p :

"Warning ! you have older net.eth* file in /etc/init.d

They need to be converted to symlincks to net.lo. If you haven't  make personnal changes to those files, you can uptdate with the following command:

#lacommande."

"/bin/ls /etc/init.d/net.eth* | xargs -n1 ln -sfvn net.lo" ?

Ben je crois que tu devrais le faire...

Normalement les services pour les interfaces supplémentaires (eth0, eth1) sont des liens symboliques vers celui de lo qui gère tout...

Et toi tu as une copie de l0 à la place (qui n'est pas pise à jour, donc pas top)

Je te conseille de faire ce qu'il dit.

Bon après ya 3-4 ligne avant d'avoir "No outdatage packages were found on your system" précédemment cité...

ça c'est portage qui le dit à chaque paquet si tu avais regardé...

Donc bon, je vois pas trop quoi faire...

Merci au fait pour vos réponses et pour le soutient concernant le noyau :francais:;) !

Sur ce je vais au dodo. j'aurais pas fait ce que je comptait faire mais je préfère attendre de voir ce que vous pensez des messages que j'ai marqués avant de continuer.

En tout cas, même si je galère moult, chui bien content d'installer Gentoo ! J'apprend énormément, en grande partie grâce à vos explications ;) !

Ben je vois pas où est ton problème...

Il te dit de lancer "etc-update" et de mettre à jour (jusque'à ce que cette commande ne te demande plus rien)

Ensuite il te dit de lancer la commande pour supprimer les fichiers /etc/init.d/net.eth* et en faire des liens symboliques.

Tu parles aussi de /proc/.keep (alors qu'il dit de ne pas s'en faire) et de "No outdated packages were found on your system." (alors que c'est marqué à chaque emerge)...

Share this post


Link to post
Share on other sites

C'etait un faux problème, je voulais surout m'assurer que j'avais pas loupé un erreur ou autre mise à jour.

Pour le etc_update, chui désolé, faute de frappe :zarb:.

Oui, en fait je m'en suis fais pour des prunes, j'interprétait mal les messages :yes: .

Bon, ben je fais ce qu'il demande et voilà, merci ;) !

@semionsi : Non tu te fais ton topic !!! :transpi: .

Bon allé chui gentil, je te laisse squatter ;) ^^ .

Share this post


Link to post
Share on other sites

@Semionsi: c'est presque ca en effet. En fait ce qui se passe c'est que les USE te permettent de compiler (ou non) certaines "options" des programmes. Comme links a une option pour une interface graphique, si tu as un use flag X, alors il compilera cette option, sinon il ne la compilera pas. Et par voie de consequence, cela ajoutera X.org dans les dépendances, puisque pour pouvoir utiliser l'option en question, il te faut un serveur graphique.

Share this post


Link to post
Share on other sites

Purée, ya trop d'options pour configurer le noyau :chinois: !

Au passage, si j'active le support pour un élément de mon PC (en l'occurance ma carte ethernet) sans que cela corresponde exactement au modele de ma carte, ca marche aussi ou il vaut mieux le laisser désactivé ?

Je me pose la même question avec ma carte graphique, j'aimerais activer le support "radeon display support" mais dans l'aide il spécifient PCI et AGP. PCI-Express ca marche aussi (pour celle là je pense connaitre la réponse mais je veux pas activer un truc qui sert à rien :transpi: ) ?

Share this post


Link to post
Share on other sites

si tu mets trop de support, ça n'empêchera en rien le périphérique de marcher. Tant que le noyau identifie le bon driver à appliquer au périphérique.

D'ailleurs dans les distributions moins techniques (mandriva par exemple), quasiment tous les drivers sont mis en modules. Ca marche, mais le système est moins performant

Share this post


Link to post
Share on other sites

Oui donc si yen a un ou deux en trop ca dois pas être dramatique niveau perf en fait... surtout pour une première config de noyau ^^ !

Bon ben merci bien :chinois: .

Share this post


Link to post
Share on other sites

euh fais gaffe

y'a des options à ne pas activer si tu veux utiliser les drivers ati

je cherche ca et j'edite

edit:

Loadable Module Support --->
 [*] Enable loadable module support
 [*]   Module unloading 

Processor type and features  --->
 [*] MTRR (Memory Type Range Register) support

Device Drivers --->
Character Devices ---> 
 <M> /dev/agpgart (AGP Support)  
   <M> Your_AGP_Chipset_Here
 [ ] Direct Rendering Manager (XFree86 4.1.0 and higher DRI support)

Kernel Hacking --->
 [ ] Kernel debugging

le tuto est là --> http://gentoo-wiki.com/HOWTO_ATI_Drivers

Share this post


Link to post
Share on other sites

Effectivement, il vaut mieux mettre trop de périphériques supportés au départ, dans le doute.

Et ensuite, quand on se sent + à l'aise, on peut élaguer + sévèrement lol

Share this post


Link to post
Share on other sites

Merci Maxime0810 :chinois: . par contre Je ne peut pas mettre <M> pour "<M> /dev/agpgart (AGP Support)" quand j'appuie sur la touche M rien ne se passe (ya 3 petits traits).

Pour le reste tout est bon !

Et merci pour le How To, il sera bien pratique pour mettre les drivers après l'install :transpi: !

Bon, ben je pense que j'ai presque fini de le configurer, un chtite vérification et c'est partit !

Share this post


Link to post
Share on other sites

espace

c'est à ce demander à quoi sert le tuto sur le noyau :chinois:

Share this post


Link to post
Share on other sites

Eh bien sur ce paramètre précis, je ne pas rien faire ( /dev/agpgart) .

Que je fasse espace, Y, N ou M ca change rien, ca reste "--- /dev/agpgart"

Voilà .

Share this post


Link to post
Share on other sites

je viens de le faire en direct, aucun pb

ca apparait comment ? < > ou ---

Share this post


Link to post
Share on other sites

×
×
  • Create New...